%global shortcommit0 fcd9669
%global commit0 fcd966966924e3d9af0954db56117e2f48767ea1

Name:           quasselc
Version:        0
Release:        1.20160909git%{shortcommit0}%{?dist}
Summary:        API to access a Quassel Core in pure C

License:        GPLv3+
URL:            https://github.com/phhusson/QuasselC/

Source0:        https://github.com/phhusson/QuasselC/archive/%{commit0}.tar.gz#/QuasselC-%{shortcommit0}.tar.gz

BuildRequires:  gcc
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  zlib-devel

%description
An implementation of the Quassel protocol in pure C.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n QuasselC-%{commit0}

# Respect cflags and ldlibs.
sed 's/CFLAGS:=/CFLAGS+=/' -i Makefile
sed 's/LDLIBS:=/LDLIBS+=/' -i Makefile

%build
prefix=%{_prefix} libdir=%{_libdir} LDLIBS="%{__global_ldflags}" CFLAGS="%{optflags}" %make_build

%install
prefix=%{_prefix} libdir=%{_libdir} %make_install
# The makefile doesn't automatically do this.
ln -s %{_libdir}/libquasselc.so.0 %{buildroot}%{_libdir}/libquasselc.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYING
%doc README
%{_libdir}/libquasselc.so.0

%files devel
%{_libdir}/pkgconfig/quasselc.pc
%{_includedir}/quasselc
%{_libdir}/libquasselc.so


%changelog
* Sat Sep 10 2016 Ben Rosser <rosser.bjr@gmail.com> - 0-1.20160909gitfcd9669
- Initial package.
